/*
 * SPDX-FileCopyrightText: 2021 Espressif Systems (Shanghai) CO LTD
 *
 * SPDX-License-Identifier: Unlicense OR CC0-1.0
 */


#include <stdio.h>
#include <stdlib.h>
#include <string.h>


/* Attributes State Machine */
enum
{
    IDX_SVC,
    IDX_CHAR_A,//42
    IDX_CHAR_VAL_A,
   // IDX_CHAR_CFG_A,

    // IDX_CHAR_B,
    // IDX_CHAR_VAL_B,

    // IDX_CHAR_C,
    // IDX_CHAR_VAL_C,

    HRS_IDX_NB,
};

extern void BLE_Init(void);
extern void ble_rx_analysis_tasks(void *arg);
extern uint8_t Nav_Status(void);
extern void ble_mac_handle(void);



extern uint8_t Get_Nav_Turn_Data(void);
extern uint8_t Get_Nav_Circumferential_Data(void);
extern uint8_t Get_Nav_Path_Region_Data(void);
extern uint16_t Get_Nav_Turn_Distance(void);
extern uint16_t Get_Nav_Remain_Distance(void);
extern uint8_t Get_Nav_Time_Hour(void);
extern uint8_t Get_Nav_Time_Minute(void);
extern uint8_t Get_Nav_name_len(void);
extern uint8_t *Get_Nav_name_Data(void);
extern void ble_mac_handle(void);
extern uint32_t Get_Ble_Connect_Status(void);

